# Uses of Class
org.globus.gsi.gssapi.auth.Authorization

Packages that use Authorization
Package
Description
org.globus.axis.transport
org.globus.ftp
org.globus.ftp.app
org.globus.ftp.extended
org.globus.gsi.gssapi.auth
org.globus.gsi.gssapi.net
org.globus.io.streams
Implements the standard Java I/O streams interface for a number of different protocols, including FTP, GSIFTP, HTTP, HTTPS, and File.
org.globus.io.urlcopy
This library provides a simple API for transferring a file from one location to another.
org.globus.myproxy
This package provides a MyProxy client API.
org.globus.net
Contains socket factories for creating regural and secure server sockets behind firewalls or NAT servers.

## Uses of Authorization in org.globus.axis.transport

Methods in org.globus.axis.transport with parameters of type Authorization
Modifier and Type
Method
Description
`protected void`
SSLContextHelper.`init(String host, int port, Authorization auth, Boolean anonymous, GSSCredential cred, Integer protection, TrustedCertificates trustedCerts)`
Constructors in org.globus.axis.transport with parameters of type Authorization
Modifier
Constructor
Description
``
`SSLContextHelper(String host, int port, Authorization auth, Boolean anonymous, GSSCredential cred, Integer protection, TrustedCertificates trustedCerts)`

## Uses of Authorization in org.globus.ftp

Methods in org.globus.ftp that return Authorization
Modifier and Type
Method
Description
`Authorization`
GridFTPClient.`getAuthorization()`
Returns authorization method for the control channel.
Methods in org.globus.ftp with parameters of type Authorization
Modifier and Type
Method
Description
`void`
GridFTPClient.`setAuthorization(Authorization authorization)`
Sets authorization method for the control channel.

## Uses of Authorization in org.globus.ftp.app

Constructors in org.globus.ftp.app with parameters of type Authorization
Modifier
Constructor
Description
``
`Transfer(String sourceServer, int sourcePort, Authorization sourceSubject, String absoluteSourceFile, String destServer, int destPort, Authorization destSubject, String absoluteDestFile, TransferParams params)`
Constructor, performing a single third party transfer from (grid)ftp://sourceServer:sourcePort/absoluteSourceFile to (grid)ftp://destServer:destPort/absoluteDestFile.

## Uses of Authorization in org.globus.ftp.extended

Fields in org.globus.ftp.extended declared as Authorization
Modifier and Type
Field
Description
`protected Authorization`
GridFTPControlChannel.`authorization`
Methods in org.globus.ftp.extended that return Authorization
Modifier and Type
Method
Description
`Authorization`
GridFTPControlChannel.`getAuthorization()`
Returns authorization method for the control channel.
Methods in org.globus.ftp.extended with parameters of type Authorization
Modifier and Type
Method
Description
`void`
GridFTPControlChannel.`setAuthorization(Authorization authorization)`
Sets authorization method for the control channel.

## Uses of Authorization in org.globus.gsi.gssapi.auth

Subclasses of Authorization in org.globus.gsi.gssapi.auth
Modifier and Type
Class
Description
`class`
`GSSAuthorization`
GSSAPI client authorization.
`class`
`HostAuthorization`
Implements a simple host authorization mechanism.
`class`
`HostOrSelfAuthorization`
`class`
`IdentityAuthorization`
Implements a simple identity authorization mechanism.
`class`
`NoAuthorization`
Implements the simplest authorization mechanism that does not do any authorization checks.
`class`
`SelfAuthorization`
Performs the identity authorization check.

## Uses of Authorization in org.globus.gsi.gssapi.net

Fields in org.globus.gsi.gssapi.net declared as Authorization
Modifier and Type
Field
Description
`protected Authorization`
GssSocket.`authorization`
Methods in org.globus.gsi.gssapi.net that return Authorization
Modifier and Type
Method
Description
`Authorization`
GssSocket.`getAuthorization()`
Methods in org.globus.gsi.gssapi.net with parameters of type Authorization
Modifier and Type
Method
Description
`void`
GssSocket.`setAuthorization(Authorization auth)`

## Uses of Authorization in org.globus.io.streams

Constructors in org.globus.io.streams with parameters of type Authorization
Modifier
Constructor
Description
``
`GassInputStream(GSSCredential cred, Authorization auth, String host, int port, String file)`
Opens Gass input stream in secure mode with specified user credentials.
``
`GassOutputStream(GSSCredential cred, Authorization auth, String host, int port, String file, long length, boolean append)`
Opens Gass output stream in secure mode with specified user credentials.
``
`GridFTPInputStream(GSSCredential cred, Authorization auth, String host, int port, String file, boolean reqDCAU)`
``
`GridFTPInputStream(GSSCredential cred, Authorization auth, String host, int port, String file, boolean passive, int type, boolean reqDCAU)`
``
`GridFTPOutputStream(GSSCredential cred, Authorization auth, String host, int port, String file, boolean append, boolean reqDCAU)`
``
`GridFTPOutputStream(GSSCredential cred, Authorization auth, String host, int port, String file, boolean append, boolean passive, int type, boolean reqDCAU)`
``
`GridFTPOutputStream(GSSCredential cred, Authorization auth, String host, int port, String file, boolean append, boolean passive, int type, boolean reqDCAU, long size)`
``
`GridFTPOutputStream(GSSCredential cred, Authorization auth, String host, int port, String file, boolean append, boolean reqDCAU, long size)`

## Uses of Authorization in org.globus.io.urlcopy

Fields in org.globus.io.urlcopy declared as Authorization
Modifier and Type
Field
Description
`protected Authorization`
UrlCopy.`dstAuth`
`protected Authorization`
UrlCopy.`srcAuth`
Methods in org.globus.io.urlcopy that return Authorization
Modifier and Type
Method
Description
`Authorization`
UrlCopy.`getDestinationAuthorization()`
Returns authorization type for the destination side for the url copy.
`Authorization`
UrlCopy.`getSourceAuthorization()`
Returns authorization type for the source side for the url copy.
Methods in org.globus.io.urlcopy with parameters of type Authorization
Modifier and Type
Method
Description
`void`
UrlCopy.`setDestinationAuthorization(Authorization auth)`
Sets destination authorization type
`void`
UrlCopy.`setSourceAuthorization(Authorization auth)`
Sets source authorization type

## Uses of Authorization in org.globus.myproxy

Subclasses of Authorization in org.globus.myproxy
Modifier and Type
Class
Description
`class`
`MyProxyServerAuthorization`
Implements the MyProxy server authorization mechanism.
Fields in org.globus.myproxy declared as Authorization
Modifier and Type
Field
Description
`protected Authorization`
MyProxy.`authorization`
The authorization policy in effect for the target MyProxy server.
Methods in org.globus.myproxy that return Authorization
Modifier and Type
Method
Description
`Authorization`
MyProxy.`getAuthorization()`
Get MyProxy server authorization mechanism.
Methods in org.globus.myproxy with parameters of type Authorization
Modifier and Type
Method
Description
`void`
MyProxy.`setAuthorization(Authorization authorization)`
Set MyProxy server authorization mechanism.

## Uses of Authorization in org.globus.net

Fields in org.globus.net declared as Authorization
Modifier and Type
Field
Description
`protected Authorization`
BaseServer.`authorization`
`protected Authorization`
GSIURLConnection.`authorization`
Methods in org.globus.net that return Authorization
Modifier and Type
Method
Description
`Authorization`
GSIURLConnection.`getAuthorization()`
Methods in org.globus.net with parameters of type Authorization
Modifier and Type
Method
Description
`void`
BaseServer.`setAuthorization(Authorization auth)`
`void`
GSIURLConnection.`setAuthorization(Authorization auth)`